<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use App\HttpModels\ClientLobbyModel;

use Cookie;

use App\Models\Lobby;

class ClientController extends Controller
{

	// GET /care_months
	public function entrance(Request $request, Lobby $lobby) {
        $sessionKey = Cookie::get('sessionKey');

        $lobbyModel = new ClientLobbyModel($lobby);
        $response = response()->view('client/index',compact('lobbyModel'),200);

        if(!$sessionKey){
            $loginUrl = env('BACKEND_URL', 'http://localhost:8080') . '/api/session/createStrangerSession';

            $httpResponse = Http::asForm()->post($loginUrl)->json();

            if(!$httpResponse['success']){
                return back()->with("message", $httpResponse['message']);
            }

            $sessionKey = $httpResponse['data'];

            $cookie = cookie()->forever('sessionKey', $sessionKey, '/');

            // $response = new \Illuminate\Http\Response(view('client/index'));
            $response->withCookie($cookie);
            // return $response;
        } 
        // else {
        //     return view('client/index');
        // }
        return $response;
	}
}